Subject: Re: [Extra] I-D Action: draft-ietf-extra-sieve-fcc-05.txt

From: Alexey Melnikov <[email-masked]>
Date: Mon, 1 Oct 2018 14:44:56 +0100

On 29/09/2018 04:38, Jiankang Yao wrote:

> Dear authors,
>   I am preparing for the shepherd write-up.
>   Could you kindly address the following issues and update a new 
> version? Thanks.
> https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-extra-sieve-fcc-05.txt 
>
>    ** There is 1 instance of too long lines in the document, the longest one
>       being 2 characters in excess of 72.
>
>    -- The draft header indicates that this document updates RFC5435, but the
>       abstract doesn't seem to mention this, which it should.
>
>    -- The draft header indicates that this document updates RFC5230, but the
>       abstract doesn't seem to mention this, which it should.
Right, the Abstract should have a sentence or 2 about RFCs updated, 
ideally listing what was updated. This should enable readers to decide 
whether they need to read the rest of the document.

>    Checking references for intended status: Proposed Standard
>    ----------------------------------------------------------------------------
>
>       (See RFCs 3967 and 4897 for information about using normative references
>       to lower-maturity documents in RFCs)
>
>    -- Looks like a reference, but probably isn't: '1' on line 524
>
>    == Missing Reference: 'FCC' is mentioned on line 196, but not defined
>
>    -- Looks like a reference, but probably isn't: '2' on line 526
>
>    -- Looks like a reference, but probably isn't: '3' on line 528
>
>    -- Looks like a reference, but probably isn't: '4' on line 530

I don't think anything needs to be done about the above, these are just 
false warnings from the ID-nits.

>    == Unused Reference: 'RFC5321' is defined on line 495, but no explicit
>       reference was found in the text
I think this can be removed.
>    == Unused Reference: 'RFC5429' is defined on line 499, but no explicit
>       reference was found in the text
This is related to ereject. If it stays, the document needs to explain 
interactions (or lack thereof) with ereject.
>    ** Obsolete normative reference: RFC 4234 (Obsoleted by RFC 5234)
This should be updated.

---

From: "Bron Gondwana" <[email-masked]>
Date: Mon, 01 Oct 2018 09:54:43 -0400

Ken is on holiday for a couple of days, so I expect we'll go through this when he's back. 

>>  Could you kindly address the following issues and update a new version? Thanks.  
>>   

> Right, the Abstract should have a sentence or 2 about RFCs updated, ideally listing what was updated. This should enable readers to decide whether they need to read the rest of the document.  
>   
>   

> I don't think anything needs to be done about the above, these are just false warnings from the ID-nits. 

> This is related to ereject. If it stays, the document needs to explain interactions (or lack thereof) with ereject. 
>   
> _______________________________________________ 
> Extra mailing list 
> [email-masked] 
> https://www.ietf.org/mailman/listinfo/extra 
>  
 
-- 
 Bron Gondwana, CEO, FastMail Pty Ltd 
 [email-masked]